> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tranthor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload a CSV to a manual segment

> Upload CSV for manual segment



## OpenAPI

````yaml post /api/admin/segments/upload-csv
openapi: 3.1.0
info:
  title: Tranthor API
  description: Tranthor API Swagger Documentation
  version: 0.0.1
servers: []
security: []
paths:
  /api/admin/segments/upload-csv:
    post:
      tags:
        - Segments
      description: Upload CSV for manual segment
      parameters:
        - schema:
            type: string
          in: header
          name: df-workspace-id
          required: true
          description: >-
            Id of the workspace which will receive the segment payload. Defaults
            to the default workspace id, for single tenant systems
        - schema:
            type: string
          in: header
          name: df-segment-id
          required: true
        - schema:
            anyOf:
              - type: string
                enum:
                  - Add
              - type: string
                enum:
                  - Remove
          in: header
          name: operation
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
                required:
                  - success
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  rowErrors:
                    type: array
                    items:
                      type: object
                      properties:
                        row:
                          type: number
                        error:
                          type: string
                      required:
                        - row
                        - error
                required:
                  - message
      security:
        - adminApiKey: []
components:
  securitySchemes:
    adminApiKey:
      type: http
      scheme: bearer
      description: >-
        An Admin API key, sent as `Authorization: Bearer <key>`. Create one in
        Settings.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.